Status: Closed Start date:

Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 2.0.3

Resolution: Fixed Affected version: 1.4.0
Description

Printed out some wiki pages with tables, and got something like this on the PDF:

Execucao de Analises

O usuério deve ser capaz de gerar dados de performance de decolagem e pouso de acordo com as suas configuragtes estabelecidas.

Sequencia de Estimulos e Respostas Estimulo
Usuario abre interface principal Sistema apresenta tela inicial
Usuario define dados de entrada ( | Bigteomlmmazena os dados de

entrada

Usuario escolhe opgao de analise | Biktffa exibe tela de parametros
de decolagem | para andlise de decolagem
Usuario define aeroporto/pista de | Sistema valida e armazena
origem aeroportos/pistas

The original table on the wiki was like this:

Resposta
ou configuragdo da aeronave)

)

Sequéncia de Estimulos e Respostas | £stimulo Resposta
Usuério abre interface principal Sistema apresenta tela inicial
Usuario define dados de entrada (tail Sistema armazena os dados de entrada
number ou configuracdo da aeronave)
Usuério escolhe opgéo de andlise de Sistema exibe tela de parametros para

decolagem (takeoff)

andlise de decolagem

Usuario define aeroporto/pista de origem Sistema valida e armazena

aeroportos/pistas

It seems like the problem on the PDF was with jtalic words inside the table.

Apart from that, this feature is awesome, and it’s getting better and better. Thanks guys!

Associated revisions

Revision 9853 - 2012-06-17 15:05 - Toshi MARUYAMA
fix PDF export tables problems (#10688)

Contributed by Jun NAITOH.

Revision 9854 - 2012-06-17 15:10 - Toshi MARUYAMA
Merged r9853 from trunk (#10688)

fix PDF export tables problems.

Contributed by Jun NAITOH.

Revision 9855 - 2012-06-17 15:23 - Toshi MARUYAMA
Merged r9853 from trunk (#10688)

fix PDF export tables problems.
Contributed by Jun NAITOH.

History

#1 - 2012-06-14 03:54 - Rob D
- File redmine pdf table bold.png added
- File redmine pdf table.png added

We have the same problem in tables that have no italics or other formatting in the table, but use bold to create column headers and the headings
become misaligned.

Iredmine pdf table bold.png!

Removing the bold formatting shows correctly aligned header row, but the table width does not appear to be correct.
Iredmine pdf table.png!

#2 - 2012-06-17 14:35 - Jun NAITOH

- File tcpdf.rb_table_with_html_fix_r9852.diff added
- File wiki_test_sample_table.txt added

Sorry, this tables problem is #69 patch's bug.
| corrected so that the html tag inside a table could not be used with a PDF export.
| finished tests on following environments.

e CentOS 6 CRuby 1.8.7,1.9.2, 1.9.3

#3 - 2012-06-17 14:40 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

#4 - 2012-06-17 15:07 - Toshi MARUYAMA

- Target version set to 2.0.3

#5 - 2012-06-17 15:52 - Toshi MARUYAMA
- File before.pdf added

- File after.pdf added

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk r9853, 2.0-stable r9854 and 1.4-stable r9855, thanks.

#6 - 2012-06-18 07:02 - Rob D

Thanks guys, formatting seems to be fixed. However, the table width still doesn't fill the page width. A table with 2 columns only fills half the page
width. Should this be a separate issue? Is there any reason that we need to have a minimum of 4 columns in the layout?

@default_table_columns | |= 4

if @default_table_columns < @max_table_columns[@table_id]
@table_columns = @max_table_columns([@table_id];

else
@table_columns = @default_table_columns;

end

#7 - 2012-06-18 11:27 - Jun NAITOH
Rob D wrote:

Should this be a separate issue?

Yes.
https://www.redmine.org/issues/69
https://www.redmine.org/projects/redmine/repository/svn/revisions/9853
https://www.redmine.org/projects/redmine/repository/svn/revisions/9854
https://www.redmine.org/projects/redmine/repository/svn/revisions/9855
